<?php
/**
 * Created by PhpStorm.
 * User: qiuzijian
 * Date: 2021-04-25
 * Time: 11:15
 */

namespace Modules\Mine\Http\Controllers\Api;

use App\Http\Controllers\Api\BaseController;
use Illuminate\Support\Facades\Input;
use Modules\Mine\Services\MineServices;

class MineApiController extends BaseController
{

    /**
     * 作者: qiuzijian
     * 注释: 获取矿井列表
     * @return \App\Http\Controllers\Api\JsonResponse
     */
    public function getMineList()
    {
        $result = MineServices::getMineList();

        return self::successResponse($result);
    }

    /**
     * 作者: qiuzijian
     * 注释: 获取矿区列表
     * @return \App\Http\Controllers\Api\JsonResponse
     */
    public function getAreaList()
    {
        $mine_id = Input::get('mine_id', '');

        $result = MineServices::getAreaList($mine_id);

        return self::successResponse($result);
    }
}